package com.ruoyi.web.modules.industryservice.service;

import java.util.List;
import com.ruoyi.web.modules.industryservice.domain.BizDisposableIncome;

/**
 * 可支配收入数据填报
 */
public interface IBizDisposableIncomeService
{
    BizDisposableIncome selectBizDisposableIncomeById(Long id);

    List<BizDisposableIncome> selectBizDisposableIncomeList(BizDisposableIncome query);

    int insertBizDisposableIncome(BizDisposableIncome row);

    int updateBizDisposableIncome(BizDisposableIncome row);

    int deleteBizDisposableIncomeByIds(Long[] ids, String updateBy);

    List<Integer> listYearOptions();
}
